Subject: bug#44025: closed (Re: bug#44025: haunt incompatible with package guix)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Oct 2020 17:28:01 +0000

Your bug report

#44025: haunt incompatible with package guix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44025: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44025
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44025: haunt incompatible with package guix
From: zimoun <[email-masked]>
To: [email-masked]
Date: Wed, 21 Oct 2020 19:27:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, 16 Oct 2020 at 00:21, zimoun <[email-masked]> wrote:

> Is it possible to keep the compatibility between the package ’haunt’ and
> the package ’guix’?  Otherwise, building guix-artwork/website takes
> ages, raises a lot of warnings… and makes me unhappy. :-)
>
> The issue is that haunt is currently built with [email-masked] and the
> package ’guix’ with [email-masked].  Therefore, ’haunt build’ claims:

The fix is applied to the ’guix-artwork’ repo, see [1].

1: <http://issues.guix.gnu.org/issue/44051#1>

Closing!

Subject: haunt incompatible with package guix
From: zimoun <[email-masked]>
To: [email-masked]
Date: Fri, 16 Oct 2020 00:21:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

Is it possible to keep the compatibility between the package ’haunt’ and
the package ’guix’?  Otherwise, building guix-artwork/website takes
ages, raises a lot of warnings… and makes me unhappy. :-)

The issue is that haunt is currently built with [email-masked] and the
package ’guix’ with [email-masked].  Therefore, ’haunt build’ claims:

--8<---------------cut here---------------start------------->8---
;;; WARNING: loading compiled file /gnu/store/jkxwzw8dimbmbqqy12744wr3n2vxclnv-profile/lib/guile/3.0/site-ccache/guix/ci.go failed:
;;; In procedure load-thunk-from-memory: incompatible bytecode version
;;; WARNING: loading compiled file /home/simon/.config/guix/profiles/emacs/emacs/lib/guile/3.0/site-ccache/guix/ci.go failed:
;;; In procedure load-thunk-from-memory: incompatible bytecode version
;;; WARNING: loading compiled file /home/simon/.config/guix/profiles/emacs/emacs/lib/guile/3.0/site-ccache/guix/ci.go failed:
--8<---------------cut here---------------end--------------->8---

The easy fixes is to replace “guile-3.0’ by ’guile-3.0-latest’ in the
inputs of ’haunt’.  However, ‘guix build haunt’ says:

--8<---------------cut here---------------start------------->8---
wrote `haunt/config.go'
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /gnu/store/ah16zr8mmfkqy23rr7jy5a842ca1q9h1-guile-3.0.4/bin/guild
;;; WARNING: compilation of /gnu/store/ah16zr8mmfkqy23rr7jy5a842ca1q9h1-guile-3.0.4/bin/guild failed:
;;; failed to create path for auto-compiled file "/gnu/store/ah16zr8mmfkqy23rr7jy5a842ca1q9h1-guile-3.0.4/bin/guild"
  GEN      haunt/asset.go
…  
--8<---------------cut here---------------end--------------->8---

and

--8<---------------cut here---------------start------------->8---
stripping binaries in "/gnu/store/ncva9mpxc1ypkmvy8a0xxvldpzap5j29-haunt-0.2.4/lib" with "strip" and flags ("--strip-debug" "--enable-deterministic-archives")
strip: Unable to recognise the format of the input file `/gnu/store/ncva9mpxc1ypkmvy8a0xxvldpzap5j29-haunt-0.2.4/lib/guile/3.0/site-ccache/haunt/asset.go'
warning: /gnu/store/ncva9mpxc1ypkmvy8a0xxvldpzap5j29-haunt-0.2.4/lib/guile/3.0/site-ccache/haunt/asset.go: program "strip" exited with non-zero exit status 1
--8<---------------cut here---------------end--------------->8---

ending with “successfully built /gnu/store/p088xcmwksb8gkkqiwzwc3v9r3cmjnrs-haunt-0.2.4.drv” and an
apparently working haunt –– at least the website builds without warning
and seems rendering correctly.

Well, does it make sense to drag gnu/packages/package-management.scm in
guile-xyz.scm? and then replace with something like:

    (inputs
     `(("guile" ,@(assoc-ref (package-native-inputs guix) "guile"))))

Or create a haunt variant named ’haunt-guix’ keeping the compatibility?

Since I am not a haunt user, I do not have an opinion.

All the best,
simon

PS:
I am locally building the website time to time when hacking on the file
’sources.json’ used by SWH.